%define name gxtar
%define version 0.1.0
%define release 4mdk

Summary: Gnome frontend to common archive programs.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Archiving/Other
Source: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-buildroot

%description
gxTar is a Gnome/Gtk front-end to common archive utilities
under unix.  Currently zip, gzip, tar, bzip2, and arj are supported. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
 
%configure

%make
    
%install
install -m 755 -d $RPM_BUILD_ROOT%{_bindir}
install -s -m 755 gxtar $RPM_BUILD_ROOT%{_bindir}
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/mime-info/
install -s -m 644 gxtar.keys $RPM_BUILD_ROOT%{_datadir}/mime-info/gxtar.keys
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Utilities/
install -s -m 644 gxtar.desktop $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Utilities/gxtar.desktop

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gxtar"\
title="Gxtar"\
longtitle="Frontend to common archive utilities"\
needs="x11"\
section="Applications/Archiving/Other"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus} 

%files
%defattr (-,root,root)
%{_bindir}/*
%{_datadir}/mime-info/*
%{_datadir}/gnome/apps/Utilities/*
%{_libdir}/menu/*
%doc README COPYING ChangeLog

%changelog
* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-4mdk
- rebuild

* Tue Sep 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-3mdk
- BM
- macros
- menu

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-2mdk
- fix group
- fix permission on sources

* Fri Dec 03 1999 Lenny Cartier <lenny@mandrakesoft.com>
- add defattr
- bz2 archive
- fix location of files
